const constants = require('generator-jhipster/generators/generator-constants');

const TEST_DIR = constants.TEST_DIR;
const CLIENT_MAIN_SRC_DIR = constants.CLIENT_MAIN_SRC_DIR;
const CLIENT_TEST_SRC_DIR = constants.CLIENT_TEST_SRC_DIR;

const SERVER_MAIN_RES_DIR = constants.SERVER_MAIN_RES_DIR;
const SERVER_TEST_RES_DIR = constants.SERVER_TEST_RES_DIR;
const DOCKER_DIR = constants.DOCKER_DIR;
const SERVER_MAIN_SRC_DIR = `${constants.MAIN_DIR}kotlin/`;
const SERVER_TEST_SRC_DIR = `${constants.TEST_DIR}kotlin/`;

const expectedFiles = {
    entity: {
        clientNg2: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/list/foo.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/detail/foo-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/update/foo-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/delete/foo-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/route/foo-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/route/foo-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/list/foo.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/update/foo-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/delete/foo-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/detail/foo-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/service/foo.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/foo.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/delete/foo-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/detail/foo-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/update/foo-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/list/foo.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/service/foo.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo/route/foo-routing-resolve.service.spec.ts`,
        ],
        clientNg2WithSuffix: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/list/foo-management.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/detail/foo-management-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/update/foo-management-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/delete/foo-management-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/route/foo-management-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/route/foo-management-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/list/foo-management.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/update/foo-management-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/delete/foo-management-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/detail/foo-management-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/service/foo-management.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/foo-management.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/delete/foo-management-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/detail/foo-management-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/update/foo-management-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/list/foo-management.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/service/foo-management.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/foo-management/route/foo-management-routing-resolve.service.spec.ts`,
        ],
        clientNg2WithRootFolder: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/list/foo.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/detail/foo-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/update/foo-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/delete/foo-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/route/foo-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/route/foo-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/list/foo.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/update/foo-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/delete/foo-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/detail/foo-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/service/foo.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/foo.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/delete/foo-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/detail/foo-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/update/foo-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/list/foo.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/service/foo.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo/route/foo-routing-resolve.service.spec.ts`,
        ],
        clientNg2WithRootFolderAndSuffix: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/list/foo-management.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/detail/foo-management-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/update/foo-management-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/delete/foo-management-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/route/foo-management-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/route/foo-management-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/list/foo-management.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/update/foo-management-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/delete/foo-management-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/detail/foo-management-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/service/foo-management.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/foo-management.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/delete/foo-management-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/detail/foo-management-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/update/foo-management-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/list/foo-management.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/service/foo-management.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/test-root/foo-management/route/foo-management-routing-resolve.service.spec.ts`,
        ],
        clientNg2GatewayMicroserviceEntity: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/list/bar.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/detail/bar-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/update/bar-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/delete/bar-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/route/bar-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/route/bar-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/list/bar.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/update/bar-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/delete/bar-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/detail/bar-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/service/bar.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/bar.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/delete/bar-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/detail/bar-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/update/bar-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/list/bar.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/service/bar.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/bar/route/bar-routing-resolve.service.spec.ts`,
        ],
        clientBazGatewayMicroserviceEntity: [
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/list/baz.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/detail/baz-detail.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/update/baz-update.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/delete/baz-delete-dialog.component.html`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/route/baz-routing.module.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/route/baz-routing-resolve.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/list/baz.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/update/baz-update.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/delete/baz-delete-dialog.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/detail/baz-detail.component.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/service/baz.service.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/baz.model.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/delete/baz-delete-dialog.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/detail/baz-detail.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/update/baz-update.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/list/baz.component.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/service/baz.service.spec.ts`,
            `${CLIENT_MAIN_SRC_DIR}app/entities/sampleMicroservice/baz/route/baz-routing-resolve.service.spec.ts`,
        ],
        server: [
            '.jhipster/Foo.json',
            `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/Foo.kt`,
            `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/FooRepository.kt`,
            `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/FooResource.kt`,
            `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/FooResourceIT.kt`,
        ],
        entitySearchSpecific: [`${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/search/FooSearchRepository.kt`],
        fakeData: [`${SERVER_MAIN_RES_DIR}config/liquibase/fake-data/foo.csv`],
        serverLiquibase: [`${SERVER_MAIN_RES_DIR}config/liquibase/changelog/20160120000100_added_entity_Foo.xml`],
        gatling: [`${TEST_DIR}gatling/user-files/simulations/FooGatlingTest.scala`],
    },

    gradle: [
        'gradle.properties',
        'build.gradle',
        'settings.gradle',
        'gradlew',
        'gradlew.bat',
        'gradle/docker.gradle',
        'gradle/profile_dev.gradle',
        'gradle/profile_prod.gradle',
        'gradle/sonar.gradle',
        'gradle/wrapper/gradle-wrapper.jar',
        'gradle/wrapper/gradle-wrapper.properties',
        'checkstyle.xml',
        'gradle/kotlin.gradle',
    ],

    maven: ['pom.xml', 'mvnw', 'mvnw.cmd', '.mvn/wrapper/maven-wrapper.jar', '.mvn/wrapper/maven-wrapper.properties', 'checkstyle.xml'],

    common: [
        '.prettierignore',
        '.prettierrc',
        'README.md',
        '.gitignore',
        '.gitattributes',
        '.editorconfig',
        '.lintstagedrc.js',
        '.husky/pre-commit',
        'package.json',
    ],

    server: [
        `${SERVER_MAIN_RES_DIR}banner.txt`,
        `${SERVER_MAIN_RES_DIR}.h2.server.properties`,
        `${SERVER_MAIN_RES_DIR}templates/error.html`,
        `${SERVER_MAIN_RES_DIR}logback-spring.xml`,
        `${SERVER_MAIN_RES_DIR}config/application.yml`,
        `${SERVER_MAIN_RES_DIR}config/application-dev.yml`,
        `${SERVER_MAIN_RES_DIR}config/application-prod.yml`,
        `${SERVER_MAIN_RES_DIR}config/liquibase/changelog/00000000000000_initial_schema.xml`,
        `${SERVER_MAIN_RES_DIR}config/liquibase/master.xml`,
        `${SERVER_MAIN_RES_DIR}i18n/messages.properties`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/JhipsterApp.kt`,
        // `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/GeneratedByJHipster.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/aop/logging/LoggingAspect.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/ApplicationProperties.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/AsyncConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/CacheConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/Constants.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/DatabaseConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/DateTimeFormatConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/JacksonConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LocaleConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LoggingAspectConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/SecurityConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/WebConfigurer.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/AbstractAuditingEntity.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/AuthoritiesConstants.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/SecurityUtils.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/SpringSecurityAuditorAware.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/BadRequestAlertException.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/ErrorConstants.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/ExceptionTranslator.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/FieldErrorVM.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/AccountResource.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/SecurityUtilsUnitTest.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/AccountResourceIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/WithUnauthenticatedMockUser.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/TestUtil.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/errors/ExceptionTranslatorIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/errors/ExceptionTranslatorTestController.kt`,
        `${SERVER_TEST_RES_DIR}config/application.yml`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/AsyncSyncConfiguration.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}logback.xml`,
    ],

    userManagementServer: [
        `${SERVER_MAIN_RES_DIR}config/liquibase/data/authority.csv`,
        `${SERVER_MAIN_RES_DIR}config/liquibase/data/user.csv`,
        `${SERVER_MAIN_RES_DIR}config/liquibase/data/user_authority.csv`,
        `${SERVER_MAIN_RES_DIR}templates/mail/activationEmail.html`,
        `${SERVER_MAIN_RES_DIR}templates/mail/passwordResetEmail.html`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/Authority.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/User.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/AuthorityRepository.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/UserRepository.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/DomainUserDetailsService.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/UserNotActivatedException.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/service/MailService.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/service/UserService.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/service/dto/UserDTO.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/service/dto/PasswordChangeDTO.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/service/mapper/UserMapper.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/EmailAlreadyUsedException.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/InvalidPasswordException.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/errors/LoginAlreadyUsedException.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/UserResource.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/vm/KeyAndPasswordVM.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/vm/ManagedUserVM.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/UserResourceIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/service/UserServiceIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/service/MailServiceIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/service/mapper/UserMapperTest.kt`,
    ],

    infinispan: [`${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/CacheFactoryConfiguration.kt`],

    memcached: [`${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/CacheConfiguration.kt`, `${DOCKER_DIR}memcached.yml`],

    redis: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/CacheConfiguration.kt`,
        `${DOCKER_DIR}redis.yml`,
        `${DOCKER_DIR}redis-cluster.yml`,
        `${DOCKER_DIR}redis/connectRedisCluster.sh`,
        `${DOCKER_DIR}redis/Redis-Cluster.Dockerfile`,
        `${SERVER_TEST_SRC_DIR}/com/mycompany/myapp/config/EmbeddedRedis.kt`,
        `${SERVER_TEST_SRC_DIR}/com/mycompany/myapp/config/RedisTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}/com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
    ],

    gatling: [`${TEST_DIR}gatling/conf/gatling.conf`],

    i18nJson: [
        `${CLIENT_MAIN_SRC_DIR}i18n/en/activate.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/error.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/global.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/login.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/home.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/password.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/register.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/sessions.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/settings.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/reset.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/user-management.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/activate.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/error.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/global.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/login.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/home.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/password.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/register.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/sessions.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/settings.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/reset.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/user-management.json`,
    ],

    i18nAdminJson: [
        `${CLIENT_MAIN_SRC_DIR}i18n/en/configuration.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/health.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/logs.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/metrics.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/configuration.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/health.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/logs.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/metrics.json`,
    ],

    i18nDeJson: [
        `${CLIENT_MAIN_SRC_DIR}i18n/de/activate.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/error.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/global.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/login.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/home.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/password.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/register.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/sessions.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/settings.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/reset.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/user-management.json`,
    ],

    i18nAdminDeJson: [
        `${CLIENT_MAIN_SRC_DIR}i18n/de/configuration.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/health.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/logs.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/de/metrics.json`,
    ],

    userManagementClient: [
        `${CLIENT_MAIN_SRC_DIR}app/account/account.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/account.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password-strength-bar/password-strength-bar.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password-strength-bar/password-strength-bar.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password-strength-bar/password-strength-bar.component.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/settings/settings.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/settings/settings.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/settings/settings.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/delete/user-management-delete-dialog.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/delete/user-management-delete-dialog.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/detail/user-management-detail.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/detail/user-management-detail.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/update/user-management-update.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/update/user-management-update.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/list/user-management.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/list/user-management.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/user-management.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/user-management.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/user-management.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/service/user-management.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/entities/user/user.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/entities/user/user.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/activate/activate.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/finish/password-reset-finish.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password-reset/init/password-reset-init.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password-strength-bar/password-strength-bar.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/password/password.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/register/register.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/settings/settings.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/delete/user-management-delete-dialog.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/detail/user-management-detail.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/update/user-management-update.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/list/user-management.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/user-management/service/user-management.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/entities/user/user.service.spec.ts`,
    ],

    client: [
        'angular.json',
        'ngsw-config.json',
        '.eslintrc.json',
        '.browserslistrc',
        `${CLIENT_MAIN_SRC_DIR}main.ts`,
        `${CLIENT_MAIN_SRC_DIR}bootstrap.ts`,
        `${CLIENT_MAIN_SRC_DIR}declarations.d.ts`,
        `${CLIENT_MAIN_SRC_DIR}polyfills.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/admin-routing.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/app-routing.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/app.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/app.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/uib-pagination.config.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/interceptor/auth-expired.interceptor.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/interceptor/error-handler.interceptor.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/interceptor/notification.interceptor.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/interceptor/index.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/dayjs.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/entities/entity-routing.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.component.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/docs/docs.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/docs/docs.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/docs/docs.component.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/docs/docs.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/docs/docs.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/error/error.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/error/error.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/error/error.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/footer/footer.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/footer/footer.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/main/main.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/main/main.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/active-menu.directive.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/navbar.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/navbar.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/navbar.component.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/navbar.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/profiles/page-ribbon.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/profiles/page-ribbon.component.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/profiles/profile-info.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/profiles/profile.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/pagination/item-count.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/sort/sort.directive.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/sort/sort-by.directive.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert-error.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert-error.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert-error.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/account.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/font-awesome-icons.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/auth/has-any-authority.directive.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/state-storage.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/user-route-access.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/config/application-config.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/config/application-config.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/authority.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/error.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/input.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/pagination.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/date/duration.pipe.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/date/format-medium-date.pipe.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/date/format-medium-datetime.pipe.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/find-language-from-key.pipe.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/translate.directive.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/language.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/translation.config.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/request/request-util.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/request/request.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/event-manager.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/data-util.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/parse-links.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/alert.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/datepicker-adapter.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/shared-libs.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/shared.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/account.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}content/scss/global.scss`,
        `${CLIENT_MAIN_SRC_DIR}content/scss/vendor.scss`,
        `${CLIENT_MAIN_SRC_DIR}content/scss/_bootstrap-variables.scss`,
        'jest.conf.js',
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/account.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/operators.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/operators.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/event-manager.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/data-util.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/parse-links.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/util/alert.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/home/home.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/login/login.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/main/main.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/navbar/navbar.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/layouts/profiles/page-ribbon.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/pagination/item-count.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/alert/alert-error.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/date/format-medium-date.pipe.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/date/format-medium-datetime.pipe.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/sort/sort.directive.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/sort/sort-by.directive.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/translate.directive.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/auth/has-any-authority.directive.spec.ts`,
        'tsconfig.app.json',
        'tsconfig.spec.json',
        'tsconfig.json',
        'webpack/logo-jhipster.png',
        'webpack/environment.js',
        'webpack/proxy.conf.js',
        'webpack/webpack.custom.js',
    ],

    clientCommon: [
        '.eslintignore',
        `${CLIENT_MAIN_SRC_DIR}manifest.webapp`,
        `${CLIENT_MAIN_SRC_DIR}404.html`,
        `${CLIENT_MAIN_SRC_DIR}favicon.ico`,
        `${CLIENT_MAIN_SRC_DIR}index.html`,
        `${CLIENT_MAIN_SRC_DIR}robots.txt`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_0.svg`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_0_head-192.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_0_head-256.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_0_head-384.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_0_head-512.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_1.svg`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_1_head-192.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_1_head-256.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_1_head-384.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_1_head-512.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_2.svg`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_2_head-192.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_2_head-256.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_2_head-384.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_2_head-512.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_3.svg`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_3_head-192.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_3_head-256.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_3_head-384.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/jhipster_family_member_3_head-512.png`,
        `${CLIENT_MAIN_SRC_DIR}content/images/logo-jhipster.png`,
        `${CLIENT_MAIN_SRC_DIR}content/css/loading.css`,
        `${CLIENT_MAIN_SRC_DIR}swagger-ui/dist/images/throbber.gif`,
        `${CLIENT_MAIN_SRC_DIR}swagger-ui/index.html`,
        `${CLIENT_MAIN_SRC_DIR}WEB-INF/web.xml`,
    ],

    clientAdminAngular: [
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/modal/health-modal.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/modal/health-modal.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/log.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/jvm-memory/jvm-memory.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/jvm-memory/jvm-memory.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/jvm-threads/jvm-threads.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/jvm-threads/jvm-threads.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-cache/metrics-cache.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-cache/metrics-cache.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-datasource/metrics-datasource.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-datasource/metrics-datasource.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-endpoints-requests/metrics-endpoints-requests.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-endpoints-requests/metrics-endpoints-requests.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-garbagecollector/metrics-garbagecollector.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-garbagecollector/metrics-garbagecollector.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-modal-threads/metrics-modal-threads.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-modal-threads/metrics-modal-threads.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-request/metrics-request.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-request/metrics-request.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-system/metrics-system.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/blocks/metrics-system/metrics-system.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.model.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/configuration/configuration.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/modal/health-modal.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/health/health.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/logs/logs.service.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.component.spec.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/metrics/metrics.service.spec.ts`,
    ],

    clientAdminReact: [
        `${CLIENT_MAIN_SRC_DIR}app/modules/administration/configuration/configuration.tsx`,
        `${CLIENT_MAIN_SRC_DIR}app/modules/administration/health/health.tsx`,
        `${CLIENT_MAIN_SRC_DIR}app/modules/administration/health/health-modal.tsx`,
        `${CLIENT_MAIN_SRC_DIR}app/modules/administration/metrics/metrics.tsx`,
        `${CLIENT_MAIN_SRC_DIR}app/modules/administration/logs/logs.tsx`,
    ],

    i18n: [
        `${SERVER_MAIN_RES_DIR}i18n/messages_en.properties`,
        `${SERVER_MAIN_RES_DIR}i18n/messages_fr.properties`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/global.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/fr/global.json`,
        `${CLIENT_MAIN_SRC_DIR}app/config/language.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/config/translation.config.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/find-language-from-key.pipe.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/translate.directive.ts`,
    ],

    i18nRtl: [
        `${SERVER_MAIN_RES_DIR}i18n/messages_en.properties`,
        `${SERVER_MAIN_RES_DIR}i18n/messages_ar_LY.properties`,
        `${CLIENT_MAIN_SRC_DIR}i18n/en/global.json`,
        `${CLIENT_MAIN_SRC_DIR}i18n/ar-ly/global.json`,
        `${CLIENT_MAIN_SRC_DIR}app/config/language.constants.ts`,
        `${CLIENT_MAIN_SRC_DIR}content/scss/rtl.scss`,
        `${CLIENT_MAIN_SRC_DIR}app/shared/language/find-language-from-key.pipe.ts`,
    ],

    session: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/PersistentToken.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/PersistentTokenRepository.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/PersistentTokenRememberMeServices.kt`,
        `${CLIENT_MAIN_SRC_DIR}app/account/sessions/sessions.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/account/sessions/sessions.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/sessions/sessions.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/sessions/sessions.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/auth-session.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/account/sessions/sessions.component.spec.ts`,
    ],

    jwtServer: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/management/SecurityMetersService.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/jwt/JWTConfigurer.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/jwt/JWTFilter.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProvider.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/management/SecurityMetersServiceTests.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/JWTFilterTest.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProviderTest.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProviderSecurityMetersTests.kt`,
    ],

    jwtServerGateway: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/management/SecurityMetersService.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/jwt/JWTFilter.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProvider.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/management/SecurityMetersServiceTests.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/JWTFilterTest.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProviderTest.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/security/jwt/TokenProviderSecurityMetersTests.kt`,
    ],

    jwtClient: [
        `${CLIENT_MAIN_SRC_DIR}app/core/interceptor/auth.interceptor.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/auth-jwt.service.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/core/auth/auth-jwt.service.spec.ts`,
    ],

    oauth2: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/SecurityConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/domain/User.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/oauth2/JwtGrantedAuthorityConverter.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/oauth2/AudienceValidator.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/security/oauth2/OAuthIdpTokenResponseDTO.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/AccountResource.kt`,
        `${DOCKER_DIR}keycloak.yml`,
    ],

    oauth2Client: [`${CLIENT_MAIN_SRC_DIR}app/login/logout.model.ts`],

    messageBroker: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/KafkaSseConsumer.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/KafkaSseProducer.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/JhipsterKafkaResource.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/rest/JhipsterKafkaResourceIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/KafkaTestContainer.kt`,
        `${DOCKER_DIR}kafka.yml`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
    ],

    swaggerCodegen: [`${SERVER_MAIN_RES_DIR}swagger/api.yml`],

    swaggerCodegenGradle: ['gradle/swagger.gradle'],

    gateway: [
        `${SERVER_MAIN_RES_DIR}config/bootstrap.yml`,
        `${SERVER_MAIN_RES_DIR}config/bootstrap-prod.yml`,
        `${SERVER_TEST_RES_DIR}config/bootstrap.yml`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/filter/ModifyServersOpenApiFilter.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/web/filter/ModifyServersOpenApiFilterTest.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/vm/RouteVM.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/web/rest/GatewayResource.kt`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/gateway/gateway.component.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/gateway/gateway.route.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/gateway/gateway.module.ts`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/gateway/gateway.component.html`,
        `${CLIENT_MAIN_SRC_DIR}app/admin/gateway/gateway-routes.service.ts`,
    ],

    feignConfig: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/FeignConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/client/UserFeignClientInterceptor.kt`,
    ],

    microservice: [
        `${SERVER_MAIN_RES_DIR}static/index.html`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/SecurityConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/FeignConfiguration.kt`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/client/UserFeignClientInterceptor.kt`,
        'package.json',
    ],

    microserviceGradle: ['gradle/docker.gradle'],

    dockerServices: [`${DOCKER_DIR}app.yml`, `${DOCKER_DIR}sonar.yml`, `${DOCKER_DIR}jhipster-control-center.yml`],

    hibernateTimeZoneConfig: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/timezone/HibernateTimeZoneIT.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/repository/timezone/DateTimeWrapper.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/repository/timezone/DateTimeWrapperRepository.kt`,
    ],

    mysql: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/SqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/MysqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/EmbeddedSQL.kt`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LiquibaseConfiguration.kt`,
        `${DOCKER_DIR}mysql.yml`,
    ],

    mariadb: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/SqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/MariadbTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/EmbeddedSQL.kt`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LiquibaseConfiguration.kt`,
        `${DOCKER_DIR}mariadb.yml`,
        `${SERVER_TEST_RES_DIR}config/application-testdev.yml`,
        `${SERVER_TEST_RES_DIR}config/application-testprod.yml`,
        `${SERVER_TEST_RES_DIR}testcontainers/mariadb/my.cnf`,
    ],

    mssql: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/SqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/MsSqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/EmbeddedSQL.kt`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LiquibaseConfiguration.kt`,
        `${DOCKER_DIR}mssql.yml`,
    ],

    postgresql: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/SqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/PostgreSqlTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/EmbeddedSQL.kt`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LiquibaseConfiguration.kt`,
        `${DOCKER_DIR}postgresql.yml`,
        `${SERVER_TEST_RES_DIR}config/application-testdev.yml`,
        `${SERVER_TEST_RES_DIR}config/application-testprod.yml`,
    ],

    liquibase: [
        `${SERVER_MAIN_RES_DIR}config/liquibase/master.xml`,
        `${SERVER_MAIN_RES_DIR}config/liquibase/changelog/00000000000000_initial_schema.xml`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/LiquibaseConfiguration.kt`,
    ],

    hazelcast: [`${DOCKER_DIR}hazelcast-management-center.yml`],

    mongodb: [
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/config/dbmigrations/InitialSetupMigration.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/MongoDbTestContainer.kt`,
        `${DOCKER_DIR}mongodb.yml`,
        `${DOCKER_DIR}mongodb-cluster.yml`,
        `${DOCKER_DIR}mongodb/MongoDB.Dockerfile`,
        `${DOCKER_DIR}mongodb/scripts/init_replicaset.js`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
    ],

    couchbase: [
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0__create_collections.n1ql`,
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0.2__create_indexes.n1ql`,
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0.1__initial_setup/authority/ROLE_ADMIN.json`,
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0.1__initial_setup/authority/ROLE_USER.json`,
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0.1__initial_setup/user/admin.json`,
        `${SERVER_MAIN_RES_DIR}config/couchmove/changelog/V0.1__initial_setup/user/user.json`,
        `${DOCKER_DIR}couchbase.yml`,
        `${DOCKER_DIR}couchbase-cluster.yml`,
        `${DOCKER_DIR}couchbase/Couchbase.Dockerfile`,
        `${DOCKER_DIR}couchbase/scripts/configure-node.sh`,
    ],

    neo4j: [
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/EmbeddedNeo4j.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/Neo4jTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
        `${SERVER_TEST_RES_DIR}META-INF/spring.factories`,
        `${SERVER_MAIN_RES_DIR}config/neo4j/migrations/user__admin.json`,
        `${SERVER_MAIN_RES_DIR}config/neo4j/migrations/user__user.json`,
        `${DOCKER_DIR}neo4j.yml`,
    ],

    couchbaseSearch: [`${SERVER_TEST_SRC_DIR}com/mycompany/myapp/repository/CouchbaseSearchRepositoryTest.kt`],

    cassandra: [
        `${SERVER_MAIN_RES_DIR}config/cql/create-keyspace-prod.cql`,
        `${SERVER_MAIN_RES_DIR}config/cql/create-keyspace.cql`,
        `${SERVER_MAIN_RES_DIR}config/cql/drop-keyspace.cql`,
        `${SERVER_MAIN_RES_DIR}config/cql/changelog/00000000000000_create-tables.cql`,
        `${SERVER_MAIN_RES_DIR}config/cql/changelog/00000000000001_insert_default_users.cql`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/TestContainersSpringContextCustomizerFactory.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/config/CassandraTestContainer.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/CassandraKeyspaceIT.kt`,
        `${DOCKER_DIR}cassandra/Cassandra-Migration.Dockerfile`,
        `${DOCKER_DIR}cassandra/scripts/autoMigrate.sh`,
        `${DOCKER_DIR}cassandra/scripts/execute-cql.sh`,
        `${DOCKER_DIR}cassandra-cluster.yml`,
        `${DOCKER_DIR}cassandra-migration.yml`,
        `${DOCKER_DIR}cassandra.yml`,
        `${SERVER_TEST_RES_DIR}testcontainers.properties`,
    ],

    elasticsearch: [
        `${DOCKER_DIR}elasticsearch.yml`,
        `${SERVER_MAIN_SRC_DIR}com/mycompany/myapp/repository/search/UserSearchRepository.kt`,
    ],

    cucumber: [
        `${TEST_DIR}features/user/user.feature`,
        `${TEST_DIR}features/gitkeep`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/cucumber/CucumberTestContextConfiguration.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/cucumber/stepdefs/UserStepDefs.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/cucumber/stepdefs/StepDefs.kt`,
        `${SERVER_TEST_SRC_DIR}com/mycompany/myapp/cucumber/CucumberIT.kt`,
        `${SERVER_TEST_RES_DIR}cucumber.properties`,
    ],

    eureka: [
        `${DOCKER_DIR}central-server-config/localhost-config/application.yml`,
        `${DOCKER_DIR}central-server-config/docker-config/application.yml`,
        `${DOCKER_DIR}jhipster-registry.yml`,
    ],

    consul: [`${DOCKER_DIR}central-server-config/application.yml`, `${DOCKER_DIR}consul.yml`, `${DOCKER_DIR}config/git2consul.json`],

    cypress: [
        'cypress.config.ts',
        `${CLIENT_TEST_SRC_DIR}cypress/plugins/index.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/e2e/administration/administration.cy.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/support/commands.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/support/navbar.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/support/index.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/tsconfig.json`,
    ],

    cypressNoOAuth2: [`${CLIENT_TEST_SRC_DIR}cypress/e2e/account/login-page.cy.ts`],

    cypressWithDatabaseAndNoOAuth2: [
        `${CLIENT_TEST_SRC_DIR}cypress/e2e/account/register-page.cy.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/e2e/account/settings-page.cy.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/e2e/account/password-page.cy.ts`,
        `${CLIENT_TEST_SRC_DIR}cypress/e2e/account/reset-password-page.cy.ts`,
    ],

    cypressWithOauth2: [`${CLIENT_TEST_SRC_DIR}cypress/support/oauth2.ts`],
};

module.exports = expectedFiles;
